UbuntuUpdates.org

Package "nvidia-graphics-drivers-390"

Name: nvidia-graphics-drivers-390

Description:

This package is just an umbrella for a group of other packages, it has no description.
Description samples from packages in group:

  • NVIDIA binary OpenGL/GLX configuration library
  • Shared files used by the NVIDIA libraries
  • NVIDIA libcompute package
  • NVIDIA Video Decoding runtime libraries

Latest version: 390.132-0ubuntu0.18.04.1
Release: bionic (18.04)
Level: proposed
Repository: restricted

Links

Save this URL for the latest version of "nvidia-graphics-drivers-390": https://www.ubuntuupdates.org/nvidia-graphics-drivers-390



Other versions of "nvidia-graphics-drivers-390" in Bionic

Repository Area Version
base restricted 390.48-0ubuntu3
security multiverse 390.116-0ubuntu0.18.04.1
security restricted 390.116-0ubuntu0.18.04.1
updates restricted 390.116-0ubuntu0.18.04.3
updates multiverse 390.116-0ubuntu0.18.04.3
proposed multiverse 390.132-0ubuntu0.18.04.1
PPA: Canonical Kernel Team 390.116-0ubuntu0.18.04.1

Packages in group

Deleted packages are displayed in grey.


Changelog

Version: 390.132-0ubuntu0.18.04.1 2020-01-30 13:07:07 UTC

  nvidia-graphics-drivers-390 (390.132-0ubuntu0.18.04.1) bionic; urgency=medium

  * New upstream release (LP: #1854485):
    - Fixed kernel module build problems with Linux kernel 5.4.0
      release candidates.
    - Updated nvidia-bug-report.sh to collect information about X
      server crashes from coredumpctl, when available.
    - Updated the nvidia-drm kernel module for compatibility with the
      removal of the DRIVER_PRIME flag in recent Linux kernel versions.
  * debian/templates/dkms_nvidia.conf.in,
    debian/dkms_nvidia/patches/do-not-call-pci_save_state.patch,
    debian/dkms_nvidia/patches/disable_fstack-clash-protection_fcf-protection.patch:
    - Do not call pci_save_state (as the more recent driver series do).
    - Fall back on /usr/bin/gcc when cc is not available.
    - Detect and disable the fstack-clash-protection fcf-protection flags.
    - Drop buildfix_kernel_5.2.patch and buildfix_kernel_5.3.patch (now in the
      upstream release).
  * debian/templates/libnvidia-common-flavour.install.in,
    debian/templates/libnvidia-gl-flavour-dev.install.in,
    debian/templates/libnvidia-gl-flavour.install.in,
    debian/templates/nvidia-compute-utils-flavour.install.in,
    debian/templates/nvidia-compute-utils-flavour.nvidia-persistenced.service.in,
    debian/templates/nvidia-driver-flavour.docs.in,
    debian/templates/nvidia-utils-flavour.install.in:
    - Remove final / from installation paths (to match the manifest file).
    - Add the StopWhenUnneeded=true field to nvidia-persistenced.
  * debian/templates/control:
    - Update to dpkg-dev (>= 1.17.11~).
    - Rearrange the cuda dependencies, and add a needed dependency on
      libnvidia-cfg1.

 -- Alberto Milone <email address hidden> Mon, 27 Jan 2020 12:51:15 +0100


Version: *DELETED* 2020-01-28 18:06:45 UTC
No changelog for deleted or moved packages.

Version: 390.116-0ubuntu0.18.04.3 2020-01-22 12:07:00 UTC

  nvidia-graphics-drivers-390 (390.116-0ubuntu0.18.04.3) bionic; urgency=medium

  * debian/dkms_nvidia/patches/buildfix_kernel_5.3.patch,
    debian/templates/dkms_nvidia.conf.in:
    - Fix build failure with Linux 5.3 (LP: #1851162).

Source diff to previous version
1851162 nvidia-drivers-390 fail to build with kernel 5.3

Version: 390.116-0ubuntu0.18.04.2 2020-01-21 16:07:13 UTC

  nvidia-graphics-drivers-390 (390.116-0ubuntu0.18.04.2) bionic; urgency=medium

  * debian/dkms_nvidia/patches/buildfix_kernel_5.2.patch,
    debian/templates/dkms_nvidia.conf.in:
    - Fix build failure again Linux 5.3 (LP: #1851162).

 -- Alberto Milone <email address hidden> Tue, 21 Jan 2020 14:55:43 +0100

1851162 nvidia-drivers-390 fail to build with kernel 5.3

Version: *DELETED* 2019-02-18 12:06:24 UTC
No changelog for deleted or moved packages.



About   -   Send Feedback to @ubuntu_updates